# Naive - sing-box
The universal proxy platform.
Author: nekohasekai

Skip to content

# Naive

Changes in sing-box 1.13.0

quic_congestion_control

### Structure

    {
    "type": "naive",
    "tag": "naive-in",
    "network": "udp",
    ...
    // Listen Fields

    "users": [
    {
    "username": "sekai",
    "password": "password"
    }
    ],
    "quic_congestion_control": "",
    "tls": {}
    }

### Listen Fields

See Listen Fields for details.

### Fields

#### network

Listen network, one of `tcp` `udp`.

Both if empty.

#### users

Required

Naive users.

#### quic_congestion_control

Since sing-box 1.13.0

QUIC congestion control algorithm.

Algorithm | Description
--- | ---
`bbr` | BBR
`bbr_standard` | BBR (Standard version)
`bbr2` | BBRv2
`bbr2_variant` | BBRv2 (An experimental variant)
`cubic` | CUBIC
`reno` | New Reno

`bbr` is used by default (the default of QUICHE, used by Chromium which NaiveProxy is based on).

#### tls

TLS configuration, see TLS.